import excel "C:\dados_finais_submissao.xlsx", sheet("Sheet1") firstrow


**Gráfico 1 – Box-plot da % metas – PSB SUAS – 2017 por UF e região (Sem formatação)
graph box PSB_2017, over(UF) asyvars


**Estatística descritiva da Variável Dependente
sum PSB_2017

***Índice de GINI da Variável Dependente 
ginidesc PSB_2017, by(UF)



**Estabelece que as mesmas observações serão usadas em todos os modelos
mark nomiss
markout nomiss PSB_2017 i.Porte pobres GINI log_pib i.esquerda2012 i.centro2012 i.indireto i.conselho_delibera i.conselho_fiscaliza FNAS_gasto_ponderado_medio i.recebe_estadual_fundo i.recebe_estadual_misto GESTAO_2017 firjan NIVEL_servicos NIVEL_RH  NIVEL_infra desp_media  i.ordenador_secretaria i.ordenador_prefeito i.programa  i.secretaria i.UF
tabulate nomiss



**Tabela 2 – Modelos de regressão linear multinível
*1- Nível vertical
xtmixed  PSB_2017 FNAS_gasto_ponderado_medio i.recebe_estadual_fundo i.recebe_estadual_misto i.Porte pobres GINI log_pib i.esquerda2012 i.centro2012 if nomiss==1 || UF:

*2- Nível horizontal 
xtmixed  PSB_2017 i.indireto i.conselho_delibera i.conselho_fiscaliza i.Porte pobres GINI log_pib i.esquerda2012 i.centro2012 if nomiss==1 || UF:

*3- Nível Local
xtmixed PSB_2017 GESTAO_2017 firjan NIVEL_servicos NIVEL_RH  NIVEL_infra desp_media  i.ordenador_secretaria i.ordenador_prefeito i.programa  i.secretaria i.Porte pobres GINI log_pib i.esquerda2012 i.centro2012 if nomiss==1 || UF:

*4- Geral
xtmixed PSB_2017 FNAS_gasto_ponderado_medio i.recebe_estadual_fundo i.recebe_estadual_misto  i.indireto i.conselho_delibera i.conselho_fiscaliza GESTAO_2017 firjan NIVEL_servicos NIVEL_RH  NIVEL_infra desp_media  i.ordenador_secretaria i.ordenador_prefeito i.programa i.secretaria i.Porte pobres GINI log_pib i.esquerda2012 i.centro2012 if nomiss==1 || UF:


**Calculo de efeitos substantivos do FNAS e dos gastos locais
sum FNAS_gasto_ponderado_medio
di 26.88276 + 17.95891
di 26.88276 - 17.95891

margins, at (FNAS_gasto_ponderado_medio=44.84167) at (FNAS_gasto_ponderado_medio=8.92385) 

sum desp_media
di 3.8624 -  1.5272
di 3.8624 +  1.5272

margins, at (desp_media=2.3352) at (desp_media=5.3896) 



**Gerando valores dos interceptos aleatórios que são usados no Gráfico 2 – Coeficiente aleatório (intercepto) do nível estadual calculado após estimativas do modelo (4) geral
predict u*, reffects
gen intercept = _b[_cons] + u1





